%define _unpackaged_files_terminate_build 0
Summary: Rsync standalone server
Summary(ko): Rsync 서버
Name: rsync-server
Version: 1.0
Release: 2%{?dist}
Epoch: 1
License: oops.org
Group: User Interface/AnNyung
Source0: rsyncd.init
Source1: rsyncd.conf
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Requires: rsync

%description
This package includes rsync standalone init script and server
configuration

%description -l ko
이 패키지는 rsync init 스크립트와 서버 설정 파일을 포함하고 있다.

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__install} -m755 %{SOURCE0} %{buildroot}%{_sysconfdir}/rc.d/init.d/rsyncd
%{__install} -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rsyncd.conf

%clean
%{__rm} -rf %{buildroot}

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add rsyncd
	/sbin/chkconfig --level 345 rsyncd on
	/etc/init.d/rsyncd restart >& /dev/null || true
fi

%preun
if [ $1 = 0 ]; then
	/etc/init.d/rsyncd stop >& /dev/null || true
    /sbin/chkconfig --del rsyncd
fi

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/rsyncd
%config(noreplace) %{_sysconfdir}/rsyncd.conf

%changelog
* Wed May  2 2012 JoungKyun.Kim <http://oops.org> 1:1.0-2%{?dist}
- fixed typo about pid file miss match

* Wed Apr 18 2012 JoungKyun.Kim <http://oops.org> 1:1.0-1%{?dist}
- packaged
